local M = {}
local timer = 0

local function updateGFX(dt)
    -- speed is in m/s (m/s * 3.6 = km/h)
    if electrics.values.wheelspeed < 1/3.6 and electrics.values.throttle == 0 and electrics.values.gearIndex > 0 then
        timer = timer + dt
        if timer > 2 then
            controller.mainController.shiftToGearIndex(0)
            print("NBS Enabled")    
        end
    else
        timer = 0
    end

    if electrics.values.throttle > 0 and electrics.values.gearIndex == 0 then 
        controller.mainController.shiftToGearIndex(2)
        print("NBS Disabled")
    end
end

local function init()
end

M.init = init
M.updateGFX = updateGFX
return M