local M = {}

local function updateGFX()
    -- speed is in m/s (m/s * 3.6 = km/h)
    if electrics.values.wheelspeed == 0 and electrics.values.brake < 0 and electrics.values.gearIndex > 0 then
        controller.mainController.shiftToGearIndex(0)
        print("NBS Enabled")
    end

    if electrics.values.throttle > 0 and electrics.values.gearIndex == 0 then 
        controller.mainController.shiftToGearIndex(2)
        print("NBS Disabled")
    end
end

local function init()
end

M.init = init
M.updateGFX = updateGFX
return M